Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# NamespaceSupport.h File Reference

`#include "ACEXML/common/ACEXML_Export.h"`
`#include "ACEXML/common/XML_Types.h"`
`#include "ace/Functor.h"`
`#include "ace/Hash_Map_Manager.h"`
`#include "ace/Containers_T.h"`
`#include "ace/Null_Mutex.h"`

Include dependency graph for NamespaceSupport.h:

This graph shows which files directly or indirectly include this file:

## Compounds

class | ACEXML_Namespace_Context_Stack
| ACEXML_Namespace_Context_Stack implements a simple stack that ACEXML_NamespaceSupport uses to keep track of namespace scopes. More...
struct | NS_Node_T
| Internal stack structure to hold namespace context. More...
class | ACEXML_NamespaceSupport
| ACEXML_NamespaceSupport provides namespace management operation for an XML parser. More...

## Typedefs

typedef ACE_Hash_Map_Entry< ACEXML_String, ACEXML_String > | ACEXML_NS_CONTEXT_ENTRY
typedef ACE_Hash_Map_Manager_Ex< ACEXML_String, ACEXML_String, ACE_Hash< ACEXML_String >, ACE_Equal_To< ACEXML_String >, ACE_Null_Mutex > | ACEXML_NS_CONTEXT
typedef ACE_Hash_Map_Iterator_Ex< ACEXML_String, ACEXML_String, ACE_Hash< ACEXML_String >, ACE_Equal_To< ACEXML_String >, ACE_Null_Mutex > | ACEXML_NS_CONTEXT_ITER
typedef ACE_Hash_Map_Reverse_Iterator_Ex< ACEXML_String, ACEXML_String, ACE_Hash< ACEXML_String >, ACE_Equal_To< ACEXML_String >, ACE_Null_Mutex > | ACEXML_NS_CONTEXT_REVERSE_ITER
typedef ACE_Unbounded_Queue< const ACEXML_Char * > | ACEXML_STR_LIST

## Detailed Description

Id:
  NamespaceSupport.h,v 1.8 2003/11/01 11:15:06 dhinton Exp

Id:
  NamespaceSupport.h,v 1.8 2003/11/01 11:15:06 dhinton Exp

Author:
  Nanbor Wang <nanbor@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACEXML_String, ACEXML_String, ACE_Hash<ACEXML_String>, ACE_Equal_To<ACEXML_String>, ACE_Null_Mutex> ACEXML_NS_CONTEXT

typedef ACE_Hash_Map_Entry<ACEXML_String, ACEXML_String> ACEXML_NS_CONTEXT_ENTRY

typedef ACE_Hash_Map_Iterator_Ex<ACEXML_String, ACEXML_String, ACE_Hash<ACEXML_String>, ACE_Equal_To<ACEXML_String>, ACE_Null_Mutex> ACEXML_NS_CONTEXT_ITER

typedef ACE_Hash_Map_Reverse_Iterator_Ex<ACEXML_String, ACEXML_String, ACE_Hash<ACEXML_String>, ACE_Equal_To<ACEXML_String>, ACE_Null_Mutex> ACEXML_NS_CONTEXT_REVERSE_ITER

typedef ACE_Unbounded_Queue<const ACEXML_Char *> ACEXML_STR_LIST